Skip to main content

Available Resource

Query the resources available to the account's domain.

Resource base path: /restapi/availableResource

MethodPathDescription
GET/restapi/availableResource/getAvailableResourceByDomainResources Availability
note

apikey and secretkey are required HTTP headers on every request and are omitted from the parameter tables below. See Authentication.


Resources Availability​

List available resources by domain.

GET /restapi/availableResource/getAvailableResourceByDomain

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/availableResource/getAvailableResourceByDomain" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"kongUserAvailableResource": [
{
"availableLimit": "string",
"usedLimit": "string",
"maximumLimit": "string",
"resourceType": "string"
}
]
}